; Variable de sistema donde están los atributos de color permanentes
ATTR_P:     EQU $5c8d
; Variable de sistema donde están los atributos de color actuales
ATTR_T:     EQU $5c8f

; Variable de sistema donde se guarda el borde. También usada por BEEPER.
; También se guardan aquí los atributos de la línea de comandos.
BORDCR:		EQU $5c48

; Coordenadas de la pantalla para la rutina de la ROM que posiciona el cursor,
; relativas al área de juego (el marco).
COR_X: EQU $20  ; Coordenada X de la esquina superior izquierda
COR_Y: EQU $18  ; Coordenada Y de la esquina superior izquierda
MIN_X: EQU $00  ; A restar de COR_X para X esquina superior izquierda
MIN_Y: EQU $00  ; A restar de COR_Y para Y esquina superior izquierda
MAX_X: EQU $1f  ; A restar de COR_X para X esquina inferior derecha
MAX_Y: EQU $15  ; A restar de COR_Y para Y esquina inferior derecha

; Código de carácter del carácter en blanco
WHITE_GRAPH:EQU $9e

; Código de carácter de la nave, posición inicial y topes
SHIP_GRAPH: EQU $90
SHIP_INI:   EQU $0511
SHIP_TOP_L: EQU $1e
SHIP_TOP_R: EQU $01

; Código de carácter del disparo y tope
FIRE_GRAPH: EQU $91
FIRE_TOP_T: EQU COR_Y

; Topes de los enemigos
ENEMY_TOP_T:   EQU COR_Y - MIN_Y
ENEMY_TOP_B:   EQU COR_Y - MAX_Y + $01
ENEMY_TOP_L:   EQU COR_X - MIN_X
ENEMY_TOP_R:   EQU COR_X - MAX_X

; Dirección de memoria donde se cargan los gráficos definidos por el usuario.
UDG:        EQU $5c7b

; -----------------------------------------------------------------------------
; Rutina de la ROM que limpia la pantalla usando el valor que hay en ATTR_P.
; -----------------------------------------------------------------------------
CLS:        EQU $0daf

; -----------------------------------------------------------------------------
; Rutina de la ROM que abre el canal de la pantalla.
;
; Entrada:	A	->	Canal.  1 = línea de comandos 
;                           2 = pantalla superior.
; -----------------------------------------------------------------------------
OPENCHAN:	EQU $1601